Bug 1089475 - Failed at step EXEC spawning /usr/sbin/ejabberdctl: No such file or directory
Summary: Failed at step EXEC spawning /usr/sbin/ejabberdctl: No such file or directory
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ejabberd
Version: 20
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-19 13:34 UTC by Vladislav Grigoryev
Modified: 2014-12-18 07:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-01 11:28:32 UTC


Attachments (Terms of Use)

Description Vladislav Grigoryev 2014-04-19 13:34:54 UTC
Description of problem:
Wrong path to ejabberdctl:
/usr/lib/systemd/system/ejabberd.service
ExecStop=/usr/sbin/ejabberdctl

Version-Release number of selected component (if applicable):
ejabberd-2.1.13-7.fc20.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. systemctl restart ejabberd.service
2. journalctl -lu ejabberd.service

Actual results:
Errors while stopping/restarting service.

Expected results:
Correct path: /usr/bin/ejabberdctl

Comment 1 Vladislav Grigoryev 2014-04-19 14:23:24 UTC
Additional info:
ExecStop option without /usr/bin/bash returns non-zero exit status:
# systemctl status ejabberd.service 
...
  Process: 10253 ExecStop=/usr/bin/ejabberdctl stop (code=exited, status=127)

# journalctl -lu ejabberd.service
...
systemd[1]: Stopping A distributed, fault-tolerant Jabber/XMPP server...
ejabberdctl[10253]: Refusing to render service to dead parents.
systemd[1]: ejabberd.service: control process exited, code=exited status=127
systemd[1]: Stopped A distributed, fault-tolerant Jabber/XMPP server.
systemd[1]: Unit ejabberd.service entered failed state.

Workaround is the same as in ExecStart option:
ExecStop=/usr/bin/bash /usr/bin/ejabberdctl stop

Comment 2 Peter Lemenkov 2014-09-01 11:28:32 UTC
This bug should be closed in Rawhide now and will be closed in Fedora 21.

Comment 3 Vladislav Grigoryev 2014-12-18 07:07:52 UTC
The problem persists on Fedora 21 + ejabberd-14.07-6.fc21.x86_64:
> Dec 17 20:41:18 srv systemd[1]: Stopping A distributed, fault-tolerant Jabber/XMPP server...
> Dec 17 20:41:18 srv ejabberdctl[5105]: Refusing to render service to dead parents.
> Dec 17 20:41:18 srv systemd[1]: ejabberd.service: control process exited, code=exited status=127
> Dec 17 20:41:18 srv systemd[1]: Unit ejabberd.service entered failed state.
> Dec 17 20:41:18 srv systemd[1]: ejabberd.service failed.


Note You need to log in before you can comment on or make changes to this bug.